Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 982337 - SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the file /proc/<pid>/cmdline.
Summary: SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the file /pr...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: blueman
Version: 19
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Juan Manuel Rodriguez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:95076e0b9b2e6b3c16a29593eec...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-08 18:10 UTC by Munawar Ahmed
Modified: 2015-02-17 15:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 15:59:04 UTC
Type: ---


Attachments (Terms of Use)

Description Munawar Ahmed 2013-07-08 18:10:49 UTC
Description of problem:
SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the file /proc/<pid>/cmdline.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that python2.7 should be allowed read access on the cmdline file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep blueman-mechani /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:blueman_t:s0-s0:c0.c1023
Target Context                system_u:system_r:accountsd_t:s0
Target Objects                /proc/<pid>/cmdline [ file ]
Source                        blueman-mechani
Source Path                   /usr/bin/python2.7
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.7.5-1.fc19.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-59.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-301.fc19.i686 #1 SMP Thu Jul
                              4 15:35:21 UTC 2013 i686 i686
Alert Count                   1
First Seen                    2013-07-08 22:58:32 PKT
Last Seen                     2013-07-08 22:58:32 PKT
Local ID                      ba659db3-3f5b-43ec-86ab-39670f28a386

Raw Audit Messages
type=AVC msg=audit(1373306312.411:421): avc:  denied  { read } for  pid=4274 comm="blueman-mechani" path="/proc/738/cmdline" dev="proc" ino=17036 scontext=system_u:system_r:blueman_t:s0-s0:c0.c1023 tcontext=system_u:system_r:accountsd_t:s0 tclass=file


type=SYSCALL msg=audit(1373306312.411:421): arch=i386 syscall=execve success=yes exit=0 a0=b7c28fb0 a1=b7c28638 a2=b7c28008 a3=1 items=0 ppid=4273 pid=4274 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=blueman-mechani exe=/usr/bin/python2.7 subj=system_u:system_r:blueman_t:s0-s0:c0.c1023 key=(null)

Hash: blueman-mechani,blueman_t,accountsd_t,file,read

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-301.fc19.i686
type:           libreport

Comment 1 Daniel Walsh 2013-07-08 18:16:26 UTC
Any idea why blueman would be looking at accountsd?

Comment 2 Fedora End Of Life 2015-01-09 18:46:41 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-02-17 15:59:04 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.